Documentation>C API
Data Fields
VlHIKMNode Struct Reference

HIKM tree node. More...

`#include <hikmeans.h>`

## Data Fields

VlIKMFilt * | filter
struct _VlHIKMNode ** | children

## Detailed Description

The number of children K is not bigger than the K parameter of the HIKM tree.

## Field Documentation

## ◆ children

struct _VlHIKMNode** VlHIKMNode::children

Node children (if any)

## ◆ filter

VlIKMFilt* VlHIKMNode::filter

IKM filter for this node

The documentation for this struct was generated from the following file:

- hikmeans.h